List Team Members (By ID)

Request

GET

https://api.sourcecraft.tech/teams/id:{team_id}/members

Path parameters

Name

Description

team_id

Type: string

Example: ``

Query parameters

Name

Description

page_size

Type: string<uint64>

Example: ``

page_token

Type: string

Example: ``

team_slug

Type: string

Example: ``

Responses

200 OK

A successful response.

Body

application/json
{
  "members": [
    {
      "subject": {
        "type": "user",
        "id": "example"
      },
      "user": {
        "id": "example",
        "slug": "example"
      }
    }
  ],
  "next_page_token": "example"
}

Name

Description

members

Type: TeamMember[]

Example
[
  {
    "subject": {
      "type": "user",
      "id": "example"
    },
    "user": {
      "id": "example",
      "slug": "example"
    }
  }
]

next_page_token

Type: string

Example: example

SubjectType

Type: string

Enum: user, invitee, team

Subject

Name

Description

id

Type: string

Example: example

type

Type: SubjectType

Enum: user, invitee, team

Example
{
  "type": "user",
  "id": "example"
}

UserEmbedded

Name

Description

id

Type: string

Example: example

slug

Type: string

Example: example

Example
{
  "id": "example",
  "slug": "example"
}

TeamMember

TeamMember represents a team member. subject.type is user or invitee.

Name

Description

subject

Type: Subject

Example
{
  "type": "user",
  "id": "example"
}

user

Type: UserEmbedded

Example
{
  "id": "example",
  "slug": "example"
}
Example
{
  "subject": {
    "type": "user",
    "id": "example"
  },
  "user": {
    "id": "example",
    "slug": "example"
  }
}

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": null
}

Name

Description

details

Type: unknown

Example: null

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example